document.addEventListener("DOMContentLoaded", function(event) { 
    initializeGraph('graph_canvas', getAllDatasets());
    initializeGraph('gmail_graph_canvas', getGmailDatasets());
    initializeGraph('proton_graph_canvas', getProtonDatasets());
});

function initializeGraph(elementName, datasets) {
    window['chart_' + elementName] = new Chart(
        document.getElementById(elementName),
        {
            type: 'line',
            data: {
            datasets: datasets
            },
            options: {
            scales: {
                x: {
                type: 'time'
                }
            },
            parsing: {
                xAxisKey: 'date',
                yAxisKey: 'count'
            }
            }

        }
    );
}

// Hard-coded, because we're not getting this from anywhere dynamic!
function getAllDatasets() {
    return [{'label': 'gmail-start', 'data': [{'date': '2024-01-02', 'count': 27}, {'date': '2024-01-03', 'count': 33}, {'date': '2024-01-04', 'count': 33}, {'date': '2024-01-16', 'count': 27}, {'date': '2024-01-19', 'count': 43}, {'date': '2024-01-22', 'count': 41}, {'date': '2024-01-23', 'count': 17}, {'date': '2024-01-24', 'count': 17}, {'date': '2024-01-25', 'count': 23}, {'date': '2024-01-26', 'count': 16}, {'date': '2024-01-29', 'count': 29}, {'date': '2024-01-30', 'count': 27}, {'date': '2024-01-31', 'count': 46}, {'date': '2024-02-01', 'count': 35}, {'date': '2024-02-08', 'count': 52}, {'date': '2024-02-12', 'count': 42}, {'date': '2024-02-13', 'count': 29}, {'date': '2024-02-14', 'count': 23}, {'date': '2024-02-15', 'count': 26}, {'date': '2024-02-16', 'count': 28}, {'date': '2024-02-20', 'count': 35}, {'date': '2024-02-21', 'count': 22}, {'date': '2024-02-29', 'count': 37}, {'date': '2024-03-18', 'count': 24}, {'date': '2024-03-19', 'count': 31}, {'date': '2024-03-20', 'count': 34}, {'date': '2024-03-21', 'count': 35}, {'date': '2024-03-22', 'count': 26}, {'date': '2024-03-25', 'count': 45}, {'date': '2024-03-26', 'count': 15}, {'date': '2024-03-27', 'count': 24}, {'date': '2024-03-28', 'count': 27}, {'date': '2024-04-01', 'count': 48}, {'date': '2024-04-02', 'count': 15}, {'date': '2024-04-03', 'count': 41}, {'date': '2024-04-04', 'count': 21}, {'date': '2024-04-05', 'count': 28}, {'date': '2024-04-08', 'count': 22}, {'date': '2024-04-15', 'count': 35}, {'date': '2024-04-16', 'count': 11}, {'date': '2024-04-17', 'count': 17}, {'date': '2024-04-18', 'count': 21}, {'date': '2024-04-22', 'count': 31}, {'date': '2024-04-23', 'count': 7}, {'date': '2024-04-24', 'count': 21}, {'date': '2024-04-25', 'count': 6}, {'date': '2024-04-26', 'count': 13}, {'date': '2024-04-29', 'count': 8}, {'date': '2024-04-30', 'count': 8}, {'date': '2024-05-15', 'count': 20}, {'date': '2024-06-24', 'count': 25}, {'date': '2024-06-25', 'count': 26}, {'date': '2024-06-26', 'count': 25}, {'date': '2024-06-27', 'count': 32}, {'date': '2024-06-28', 'count': 36}, {'date': '2024-07-01', 'count': 49}, {'date': '2024-07-08', 'count': 86}, {'date': '2024-07-10', 'count': 33}, {'date': '2024-07-15', 'count': 39}, {'date': '2024-07-17', 'count': 43}, {'date': '2024-07-22', 'count': 70}, {'date': '2024-07-25', 'count': 38}, {'date': '2024-07-27', 'count': 45}, {'date': '2024-07-29', 'count': 37}, {'date': '2024-07-30', 'count': 28}, {'date': '2024-07-31', 'count': 29}, {'date': '2024-08-02', 'count': 58}, {'date': '2024-08-05', 'count': 49}, {'date': '2024-08-06', 'count': 28}, {'date': '2024-08-07', 'count': 30}, {'date': '2024-08-08', 'count': 21}, {'date': '2024-08-12', 'count': 23}, {'date': '2024-08-13', 'count': 20}, {'date': '2024-08-14', 'count': 36}, {'date': '2024-08-19', 'count': 48}, {'date': '2024-08-20', 'count': 73}, {'date': '2024-08-21', 'count': 26}, {'date': '2024-08-27', 'count': 73}, {'date': '2024-08-28', 'count': 32}, {'date': '2024-08-29', 'count': 29}, {'date': '2024-08-30', 'count': 29}, {'date': '2024-09-03', 'count': 71}, {'date': '2024-09-04', 'count': 28}, {'date': '2024-09-05', 'count': 24}, {'date': '2024-09-16', 'count': 47}, {'date': '2024-09-18', 'count': 59}, {'date': '2024-09-19', 'count': 36}, {'date': '2024-09-23', 'count': 61}, {'date': '2024-09-24', 'count': 28}, {'date': '2024-09-25', 'count': 22}, {'date': '2024-10-07', 'count': 34}, {'date': '2024-10-08', 'count': 33}, {'date': '2024-10-10', 'count': 66}, {'date': '2024-10-11', 'count': 25}, {'date': '2024-10-14', 'count': 41}, {'date': '2024-10-16', 'count': 34}, {'date': '2024-10-22', 'count': 43}, {'date': '2024-10-23', 'count': 20}, {'date': '2024-10-28', 'count': 36}, {'date': '2024-11-04', 'count': 35}, {'date': '2024-11-05', 'count': 26}, {'date': '2024-11-07', 'count': 41}, {'date': '2024-11-12', 'count': 88}, {'date': '2024-11-13', 'count': 32}, {'date': '2024-11-18', 'count': 31}, {'date': '2024-11-20', 'count': 21}, {'date': '2024-11-21', 'count': 35}, {'date': '2024-11-25', 'count': 25}, {'date': '2024-11-26', 'count': 26}, {'date': '2024-12-09', 'count': 61}, {'date': '2024-12-16', 'count': 74}, {'date': '2024-12-18', 'count': 72}, {'date': '2024-12-26', 'count': 49}, {'date': '2024-12-27', 'count': 25}, {'date': '2024-12-30', 'count': 32}]}, {'label': 'gmail-end', 'data': [{'date': '2024-01-02', 'count': 15}, {'date': '2024-01-03', 'count': 14}, {'date': '2024-01-04', 'count': 11}, {'date': '2024-01-16', 'count': 10}, {'date': '2024-01-19', 'count': 9}, {'date': '2024-01-22', 'count': 9}, {'date': '2024-01-23', 'count': 8}, {'date': '2024-01-24', 'count': 7}, {'date': '2024-01-25', 'count': 6}, {'date': '2024-01-26', 'count': 6}, {'date': '2024-01-29', 'count': 5}, {'date': '2024-01-31', 'count': 11}, {'date': '2024-02-01', 'count': 9}, {'date': '2024-02-08', 'count': 16}, {'date': '2024-02-12', 'count': 15}, {'date': '2024-02-13', 'count': 14}, {'date': '2024-02-14', 'count': 13}, {'date': '2024-02-15', 'count': 12}, {'date': '2024-02-16', 'count': 11}, {'date': '2024-02-20', 'count': 19}, {'date': '2024-02-21', 'count': 11}, {'date': '2024-02-29', 'count': 22}, {'date': '2024-03-18', 'count': 15}, {'date': '2024-03-19', 'count': 14}, {'date': '2024-03-20', 'count': 12}, {'date': '2024-03-21', 'count': 11}, {'date': '2024-03-22', 'count': 10}, {'date': '2024-03-25', 'count': 9}, {'date': '2024-03-26', 'count': 8}, {'date': '2024-03-27', 'count': 7}, {'date': '2024-03-28', 'count': 6}, {'date': '2024-04-01', 'count': 5}, {'date': '2024-04-02', 'count': 4}, {'date': '2024-04-03', 'count': 4}, {'date': '2024-04-04', 'count': 3}, {'date': '2024-04-05', 'count': 3}, {'date': '2024-04-08', 'count': 3}, {'date': '2024-04-15', 'count': 4}, {'date': '2024-04-16', 'count': 3}, {'date': '2024-04-17', 'count': 2}, {'date': '2024-04-18', 'count': 4}, {'date': '2024-04-22', 'count': 6}, {'date': '2024-04-23', 'count': 3}, {'date': '2024-04-24', 'count': 4}, {'date': '2024-04-25', 'count': 3}, {'date': '2024-04-26', 'count': 2}, {'date': '2024-04-29', 'count': 2}, {'date': '2024-04-30', 'count': 3}, {'date': '2024-06-24', 'count': 25}, {'date': '2024-06-25', 'count': 22}, {'date': '2024-06-26', 'count': 16}, {'date': '2024-06-27', 'count': 13}, {'date': '2024-06-28', 'count': 12}, {'date': '2024-07-08', 'count': 20}, {'date': '2024-07-15', 'count': 20}, {'date': '2024-07-17', 'count': 19}, {'date': '2024-07-22', 'count': 23}, {'date': '2024-07-25', 'count': 19}, {'date': '2024-07-27', 'count': 18}, {'date': '2024-07-29', 'count': 16}, {'date': '2024-07-30', 'count': 15}, {'date': '2024-07-31', 'count': 14}, {'date': '2024-08-02', 'count': 13}, {'date': '2024-08-05', 'count': 12}, {'date': '2024-08-06', 'count': 11}, {'date': '2024-08-07', 'count': 8}, {'date': '2024-08-08', 'count': 7}, {'date': '2024-08-12', 'count': 6}, {'date': '2024-08-13', 'count': 5}, {'date': '2024-08-14', 'count': 4}, {'date': '2024-08-19', 'count': 10}, {'date': '2024-08-20', 'count': 9}, {'date': '2024-08-27', 'count': 26}, {'date': '2024-08-28', 'count': 17}, {'date': '2024-08-29', 'count': 15}, {'date': '2024-08-30', 'count': 13}, {'date': '2024-09-03', 'count': 12}, {'date': '2024-09-04', 'count': 11}, {'date': '2024-09-05', 'count': 11}, {'date': '2024-09-16', 'count': 17}, {'date': '2024-09-18', 'count': 13}, {'date': '2024-09-19', 'count': 10}, {'date': '2024-09-23', 'count': 12}, {'date': '2024-09-24', 'count': 8}, {'date': '2024-09-25', 'count': 7}, {'date': '2024-10-07', 'count': 20}, {'date': '2024-10-08', 'count': 19}, {'date': '2024-10-10', 'count': 18}, {'date': '2024-10-11', 'count': 16}, {'date': '2024-10-14', 'count': 15}, {'date': '2024-10-16', 'count': 14}, {'date': '2024-10-22', 'count': 13}, {'date': '2024-10-23', 'count': 11}, {'date': '2024-10-28', 'count': 13}, {'date': '2024-11-04', 'count': 10}, {'date': '2024-11-05', 'count': 9}, {'date': '2024-11-07', 'count': 9}, {'date': '2024-11-12', 'count': 35}, {'date': '2024-11-13', 'count': 10}, {'date': '2024-11-18', 'count': 9}, {'date': '2024-11-20', 'count': 8}, {'date': '2024-11-21', 'count': 7}, {'date': '2024-11-25', 'count': 6}, {'date': '2024-12-09', 'count': 39}, {'date': '2024-12-16', 'count': 29}, {'date': '2024-12-18', 'count': 27}, {'date': '2024-12-26', 'count': 20}, {'date': '2024-12-27', 'count': 17}]}, {'label': 'proton-start', 'data': [{'date': '2024-01-02', 'count': 28}, {'date': '2024-01-03', 'count': 11}, {'date': '2024-01-04', 'count': 12}, {'date': '2024-01-16', 'count': 3}, {'date': '2024-01-19', 'count': 12}, {'date': '2024-01-22', 'count': 5}, {'date': '2024-01-24', 'count': 5}, {'date': '2024-01-25', 'count': 6}, {'date': '2024-01-26', 'count': 4}, {'date': '2024-01-29', 'count': 6}, {'date': '2024-01-30', 'count': 6}, {'date': '2024-01-31', 'count': 8}, {'date': '2024-02-01', 'count': 11}, {'date': '2024-02-08', 'count': 11}, {'date': '2024-02-12', 'count': 12}, {'date': '2024-02-13', 'count': 4}, {'date': '2024-02-14', 'count': 5}, {'date': '2024-02-15', 'count': 1}, {'date': '2024-02-16', 'count': 3}, {'date': '2024-02-20', 'count': 8}, {'date': '2024-02-21', 'count': 4}, {'date': '2024-02-29', 'count': 21}, {'date': '2024-03-18', 'count': 11}, {'date': '2024-03-19', 'count': 7}, {'date': '2024-03-20', 'count': 15}, {'date': '2024-03-21', 'count': 10}, {'date': '2024-03-22', 'count': 9}, {'date': '2024-03-25', 'count': 13}, {'date': '2024-03-26', 'count': 10}, {'date': '2024-03-27', 'count': 10}, {'date': '2024-03-28', 'count': 9}, {'date': '2024-04-01', 'count': 26}, {'date': '2024-04-02', 'count': 5}, {'date': '2024-04-03', 'count': 5}, {'date': '2024-04-04', 'count': 5}, {'date': '2024-04-05', 'count': 3}, {'date': '2024-04-08', 'count': 7}, {'date': '2024-04-15', 'count': 25}, {'date': '2024-04-16', 'count': 10}, {'date': '2024-04-17', 'count': 11}, {'date': '2024-04-18', 'count': 6}, {'date': '2024-04-22', 'count': 8}, {'date': '2024-04-23', 'count': 4}, {'date': '2024-04-24', 'count': 5}, {'date': '2024-04-25', 'count': 2}, {'date': '2024-04-26', 'count': 9}, {'date': '2024-04-29', 'count': 4}, {'date': '2024-05-15', 'count': 8}, {'date': '2024-06-24', 'count': 14}, {'date': '2024-06-25', 'count': 6}, {'date': '2024-06-26', 'count': 12}, {'date': '2024-06-27', 'count': 5}, {'date': '2024-06-28', 'count': 12}, {'date': '2024-07-01', 'count': 6}, {'date': '2024-07-08', 'count': 26}, {'date': '2024-07-15', 'count': 14}, {'date': '2024-07-17', 'count': 3}, {'date': '2024-07-22', 'count': 15}, {'date': '2024-07-25', 'count': 16}, {'date': '2024-07-27', 'count': 14}, {'date': '2024-07-29', 'count': 7}, {'date': '2024-07-30', 'count': 7}, {'date': '2024-07-31', 'count': 11}, {'date': '2024-08-02', 'count': 13}, {'date': '2024-08-05', 'count': 17}, {'date': '2024-08-06', 'count': 7}, {'date': '2024-08-07', 'count': 7}, {'date': '2024-08-08', 'count': 9}, {'date': '2024-08-12', 'count': 4}, {'date': '2024-08-13', 'count': 12}, {'date': '2024-08-14', 'count': 10}, {'date': '2024-08-19', 'count': 20}, {'date': '2024-08-20', 'count': 5}, {'date': '2024-08-21', 'count': 12}, {'date': '2024-08-27', 'count': 10}, {'date': '2024-08-28', 'count': 9}, {'date': '2024-08-29', 'count': 12}, {'date': '2024-08-30', 'count': 9}, {'date': '2024-09-03', 'count': 18}, {'date': '2024-09-04', 'count': 10}, {'date': '2024-09-05', 'count': 5}, {'date': '2024-09-16', 'count': 9}, {'date': '2024-09-18', 'count': 17}, {'date': '2024-09-19', 'count': 11}, {'date': '2024-09-23', 'count': 27}, {'date': '2024-09-24', 'count': 17}, {'date': '2024-09-25', 'count': 12}, {'date': '2024-10-07', 'count': 16}, {'date': '2024-10-08', 'count': 17}, {'date': '2024-10-10', 'count': 27}, {'date': '2024-10-11', 'count': 14}, {'date': '2024-10-14', 'count': 13}, {'date': '2024-10-16', 'count': 15}, {'date': '2024-10-22', 'count': 19}, {'date': '2024-10-23', 'count': 14}, {'date': '2024-10-28', 'count': 13}, {'date': '2024-11-04', 'count': 20}, {'date': '2024-11-05', 'count': 10}, {'date': '2024-11-07', 'count': 21}, {'date': '2024-11-13', 'count': 12}, {'date': '2024-11-18', 'count': 9}, {'date': '2024-11-20', 'count': 22}, {'date': '2024-11-21', 'count': 18}, {'date': '2024-11-25', 'count': 11}, {'date': '2024-11-26', 'count': 13}, {'date': '2024-12-09', 'count': 27}, {'date': '2024-12-16', 'count': 43}, {'date': '2024-12-18', 'count': 33}, {'date': '2024-12-26', 'count': 13}, {'date': '2024-12-27', 'count': 14}, {'date': '2024-12-30', 'count': 13}]}, {'label': 'proton-end', 'data': [{'date': '2024-01-02', 'count': 6}, {'date': '2024-01-03', 'count': 4}, {'date': '2024-01-04', 'count': 3}, {'date': '2024-01-16', 'count': 2}, {'date': '2024-01-19', 'count': 4}, {'date': '2024-01-22', 'count': 2}, {'date': '2024-01-24', 'count': 1}, {'date': '2024-01-25', 'count': 1}, {'date': '2024-01-26', 'count': 1}, {'date': '2024-01-29', 'count': 1}, {'date': '2024-01-31', 'count': 3}, {'date': '2024-02-01', 'count': 6}, {'date': '2024-02-08', 'count': 5}, {'date': '2024-02-12', 'count': 4}, {'date': '2024-02-13', 'count': 3}, {'date': '2024-02-14', 'count': 3}, {'date': '2024-02-20', 'count': 2}, {'date': '2024-02-21', 'count': 1}, {'date': '2024-02-29', 'count': 10}, {'date': '2024-03-18', 'count': 10}, {'date': '2024-03-19', 'count': 7}, {'date': '2024-03-20', 'count': 6}, {'date': '2024-03-21', 'count': 5}, {'date': '2024-03-22', 'count': 4}, {'date': '2024-03-25', 'count': 3}, {'date': '2024-03-26', 'count': 2}, {'date': '2024-03-27', 'count': 1}, {'date': '2024-04-15', 'count': 7}, {'date': '2024-04-16', 'count': 6}, {'date': '2024-04-17', 'count': 3}, {'date': '2024-04-18', 'count': 1}, {'date': '2024-04-22', 'count': 3}, {'date': '2024-04-23', 'count': 1}, {'date': '2024-06-24', 'count': 14}, {'date': '2024-06-25', 'count': 5}, {'date': '2024-06-26', 'count': 4}, {'date': '2024-06-27', 'count': 2}, {'date': '2024-06-28', 'count': 2}, {'date': '2024-07-08', 'count': 20}, {'date': '2024-07-15', 'count': 6}, {'date': '2024-07-17', 'count': 2}, {'date': '2024-07-22', 'count': 8}, {'date': '2024-07-25', 'count': 7}, {'date': '2024-07-27', 'count': 5}, {'date': '2024-07-29', 'count': 6}, {'date': '2024-07-30', 'count': 4}, {'date': '2024-07-31', 'count': 3}, {'date': '2024-08-02', 'count': 3}, {'date': '2024-08-05', 'count': 6}, {'date': '2024-08-06', 'count': 4}, {'date': '2024-08-07', 'count': 3}, {'date': '2024-08-08', 'count': 3}, {'date': '2024-08-12', 'count': 1}, {'date': '2024-08-13', 'count': 3}, {'date': '2024-08-14', 'count': 4}, {'date': '2024-08-19', 'count': 4}, {'date': '2024-08-27', 'count': 5}, {'date': '2024-08-28', 'count': 4}, {'date': '2024-08-29', 'count': 5}, {'date': '2024-08-30', 'count': 4}, {'date': '2024-09-03', 'count': 3}, {'date': '2024-09-04', 'count': 3}, {'date': '2024-09-05', 'count': 2}, {'date': '2024-09-16', 'count': 4}, {'date': '2024-09-18', 'count': 5}, {'date': '2024-09-19', 'count': 5}, {'date': '2024-09-24', 'count': 8}, {'date': '2024-09-25', 'count': 7}, {'date': '2024-10-07', 'count': 10}, {'date': '2024-10-08', 'count': 9}, {'date': '2024-10-10', 'count': 9}, {'date': '2024-10-11', 'count': 7}, {'date': '2024-10-14', 'count': 6}, {'date': '2024-10-16', 'count': 6}, {'date': '2024-10-22', 'count': 10}, {'date': '2024-10-23', 'count': 9}, {'date': '2024-10-28', 'count': 5}, {'date': '2024-11-04', 'count': 6}, {'date': '2024-11-05', 'count': 5}, {'date': '2024-11-07', 'count': 8}, {'date': '2024-11-13', 'count': 7}, {'date': '2024-11-18', 'count': 6}, {'date': '2024-11-20', 'count': 5}, {'date': '2024-11-21', 'count': 4}, {'date': '2024-11-25', 'count': 3}, {'date': '2024-12-09', 'count': 17}, {'date': '2024-12-16', 'count': 16}, {'date': '2024-12-26', 'count': 5}, {'date': '2024-12-27', 'count': 4}]}]
}

function getGmailDatasets() {
    return [{'label': 'gmail-start', 'data': [{'date': '2024-01-02', 'count': 27}, {'date': '2024-01-03', 'count': 33}, {'date': '2024-01-04', 'count': 33}, {'date': '2024-01-16', 'count': 27}, {'date': '2024-01-19', 'count': 43}, {'date': '2024-01-22', 'count': 41}, {'date': '2024-01-23', 'count': 17}, {'date': '2024-01-24', 'count': 17}, {'date': '2024-01-25', 'count': 23}, {'date': '2024-01-26', 'count': 16}, {'date': '2024-01-29', 'count': 29}, {'date': '2024-01-30', 'count': 27}, {'date': '2024-01-31', 'count': 46}, {'date': '2024-02-01', 'count': 35}, {'date': '2024-02-08', 'count': 52}, {'date': '2024-02-12', 'count': 42}, {'date': '2024-02-13', 'count': 29}, {'date': '2024-02-14', 'count': 23}, {'date': '2024-02-15', 'count': 26}, {'date': '2024-02-16', 'count': 28}, {'date': '2024-02-20', 'count': 35}, {'date': '2024-02-21', 'count': 22}, {'date': '2024-02-29', 'count': 37}, {'date': '2024-03-18', 'count': 24}, {'date': '2024-03-19', 'count': 31}, {'date': '2024-03-20', 'count': 34}, {'date': '2024-03-21', 'count': 35}, {'date': '2024-03-22', 'count': 26}, {'date': '2024-03-25', 'count': 45}, {'date': '2024-03-26', 'count': 15}, {'date': '2024-03-27', 'count': 24}, {'date': '2024-03-28', 'count': 27}, {'date': '2024-04-01', 'count': 48}, {'date': '2024-04-02', 'count': 15}, {'date': '2024-04-03', 'count': 41}, {'date': '2024-04-04', 'count': 21}, {'date': '2024-04-05', 'count': 28}, {'date': '2024-04-08', 'count': 22}, {'date': '2024-04-15', 'count': 35}, {'date': '2024-04-16', 'count': 11}, {'date': '2024-04-17', 'count': 17}, {'date': '2024-04-18', 'count': 21}, {'date': '2024-04-22', 'count': 31}, {'date': '2024-04-23', 'count': 7}, {'date': '2024-04-24', 'count': 21}, {'date': '2024-04-25', 'count': 6}, {'date': '2024-04-26', 'count': 13}, {'date': '2024-04-29', 'count': 8}, {'date': '2024-04-30', 'count': 8}, {'date': '2024-05-15', 'count': 20}, {'date': '2024-06-24', 'count': 25}, {'date': '2024-06-25', 'count': 26}, {'date': '2024-06-26', 'count': 25}, {'date': '2024-06-27', 'count': 32}, {'date': '2024-06-28', 'count': 36}, {'date': '2024-07-01', 'count': 49}, {'date': '2024-07-08', 'count': 86}, {'date': '2024-07-10', 'count': 33}, {'date': '2024-07-15', 'count': 39}, {'date': '2024-07-17', 'count': 43}, {'date': '2024-07-22', 'count': 70}, {'date': '2024-07-25', 'count': 38}, {'date': '2024-07-27', 'count': 45}, {'date': '2024-07-29', 'count': 37}, {'date': '2024-07-30', 'count': 28}, {'date': '2024-07-31', 'count': 29}, {'date': '2024-08-02', 'count': 58}, {'date': '2024-08-05', 'count': 49}, {'date': '2024-08-06', 'count': 28}, {'date': '2024-08-07', 'count': 30}, {'date': '2024-08-08', 'count': 21}, {'date': '2024-08-12', 'count': 23}, {'date': '2024-08-13', 'count': 20}, {'date': '2024-08-14', 'count': 36}, {'date': '2024-08-19', 'count': 48}, {'date': '2024-08-20', 'count': 73}, {'date': '2024-08-21', 'count': 26}, {'date': '2024-08-27', 'count': 73}, {'date': '2024-08-28', 'count': 32}, {'date': '2024-08-29', 'count': 29}, {'date': '2024-08-30', 'count': 29}, {'date': '2024-09-03', 'count': 71}, {'date': '2024-09-04', 'count': 28}, {'date': '2024-09-05', 'count': 24}, {'date': '2024-09-16', 'count': 47}, {'date': '2024-09-18', 'count': 59}, {'date': '2024-09-19', 'count': 36}, {'date': '2024-09-23', 'count': 61}, {'date': '2024-09-24', 'count': 28}, {'date': '2024-09-25', 'count': 22}, {'date': '2024-10-07', 'count': 34}, {'date': '2024-10-08', 'count': 33}, {'date': '2024-10-10', 'count': 66}, {'date': '2024-10-11', 'count': 25}, {'date': '2024-10-14', 'count': 41}, {'date': '2024-10-16', 'count': 34}, {'date': '2024-10-22', 'count': 43}, {'date': '2024-10-23', 'count': 20}, {'date': '2024-10-28', 'count': 36}, {'date': '2024-11-04', 'count': 35}, {'date': '2024-11-05', 'count': 26}, {'date': '2024-11-07', 'count': 41}, {'date': '2024-11-12', 'count': 88}, {'date': '2024-11-13', 'count': 32}, {'date': '2024-11-18', 'count': 31}, {'date': '2024-11-20', 'count': 21}, {'date': '2024-11-21', 'count': 35}, {'date': '2024-11-25', 'count': 25}, {'date': '2024-11-26', 'count': 26}, {'date': '2024-12-09', 'count': 61}, {'date': '2024-12-16', 'count': 74}, {'date': '2024-12-18', 'count': 72}, {'date': '2024-12-26', 'count': 49}, {'date': '2024-12-27', 'count': 25}, {'date': '2024-12-30', 'count': 32}]}, {'label': 'gmail-end', 'data': [{'date': '2024-01-02', 'count': 15}, {'date': '2024-01-03', 'count': 14}, {'date': '2024-01-04', 'count': 11}, {'date': '2024-01-16', 'count': 10}, {'date': '2024-01-19', 'count': 9}, {'date': '2024-01-22', 'count': 9}, {'date': '2024-01-23', 'count': 8}, {'date': '2024-01-24', 'count': 7}, {'date': '2024-01-25', 'count': 6}, {'date': '2024-01-26', 'count': 6}, {'date': '2024-01-29', 'count': 5}, {'date': '2024-01-31', 'count': 11}, {'date': '2024-02-01', 'count': 9}, {'date': '2024-02-08', 'count': 16}, {'date': '2024-02-12', 'count': 15}, {'date': '2024-02-13', 'count': 14}, {'date': '2024-02-14', 'count': 13}, {'date': '2024-02-15', 'count': 12}, {'date': '2024-02-16', 'count': 11}, {'date': '2024-02-20', 'count': 19}, {'date': '2024-02-21', 'count': 11}, {'date': '2024-02-29', 'count': 22}, {'date': '2024-03-18', 'count': 15}, {'date': '2024-03-19', 'count': 14}, {'date': '2024-03-20', 'count': 12}, {'date': '2024-03-21', 'count': 11}, {'date': '2024-03-22', 'count': 10}, {'date': '2024-03-25', 'count': 9}, {'date': '2024-03-26', 'count': 8}, {'date': '2024-03-27', 'count': 7}, {'date': '2024-03-28', 'count': 6}, {'date': '2024-04-01', 'count': 5}, {'date': '2024-04-02', 'count': 4}, {'date': '2024-04-03', 'count': 4}, {'date': '2024-04-04', 'count': 3}, {'date': '2024-04-05', 'count': 3}, {'date': '2024-04-08', 'count': 3}, {'date': '2024-04-15', 'count': 4}, {'date': '2024-04-16', 'count': 3}, {'date': '2024-04-17', 'count': 2}, {'date': '2024-04-18', 'count': 4}, {'date': '2024-04-22', 'count': 6}, {'date': '2024-04-23', 'count': 3}, {'date': '2024-04-24', 'count': 4}, {'date': '2024-04-25', 'count': 3}, {'date': '2024-04-26', 'count': 2}, {'date': '2024-04-29', 'count': 2}, {'date': '2024-04-30', 'count': 3}, {'date': '2024-06-24', 'count': 25}, {'date': '2024-06-25', 'count': 22}, {'date': '2024-06-26', 'count': 16}, {'date': '2024-06-27', 'count': 13}, {'date': '2024-06-28', 'count': 12}, {'date': '2024-07-08', 'count': 20}, {'date': '2024-07-15', 'count': 20}, {'date': '2024-07-17', 'count': 19}, {'date': '2024-07-22', 'count': 23}, {'date': '2024-07-25', 'count': 19}, {'date': '2024-07-27', 'count': 18}, {'date': '2024-07-29', 'count': 16}, {'date': '2024-07-30', 'count': 15}, {'date': '2024-07-31', 'count': 14}, {'date': '2024-08-02', 'count': 13}, {'date': '2024-08-05', 'count': 12}, {'date': '2024-08-06', 'count': 11}, {'date': '2024-08-07', 'count': 8}, {'date': '2024-08-08', 'count': 7}, {'date': '2024-08-12', 'count': 6}, {'date': '2024-08-13', 'count': 5}, {'date': '2024-08-14', 'count': 4}, {'date': '2024-08-19', 'count': 10}, {'date': '2024-08-20', 'count': 9}, {'date': '2024-08-27', 'count': 26}, {'date': '2024-08-28', 'count': 17}, {'date': '2024-08-29', 'count': 15}, {'date': '2024-08-30', 'count': 13}, {'date': '2024-09-03', 'count': 12}, {'date': '2024-09-04', 'count': 11}, {'date': '2024-09-05', 'count': 11}, {'date': '2024-09-16', 'count': 17}, {'date': '2024-09-18', 'count': 13}, {'date': '2024-09-19', 'count': 10}, {'date': '2024-09-23', 'count': 12}, {'date': '2024-09-24', 'count': 8}, {'date': '2024-09-25', 'count': 7}, {'date': '2024-10-07', 'count': 20}, {'date': '2024-10-08', 'count': 19}, {'date': '2024-10-10', 'count': 18}, {'date': '2024-10-11', 'count': 16}, {'date': '2024-10-14', 'count': 15}, {'date': '2024-10-16', 'count': 14}, {'date': '2024-10-22', 'count': 13}, {'date': '2024-10-23', 'count': 11}, {'date': '2024-10-28', 'count': 13}, {'date': '2024-11-04', 'count': 10}, {'date': '2024-11-05', 'count': 9}, {'date': '2024-11-07', 'count': 9}, {'date': '2024-11-12', 'count': 35}, {'date': '2024-11-13', 'count': 10}, {'date': '2024-11-18', 'count': 9}, {'date': '2024-11-20', 'count': 8}, {'date': '2024-11-21', 'count': 7}, {'date': '2024-11-25', 'count': 6}, {'date': '2024-12-09', 'count': 39}, {'date': '2024-12-16', 'count': 29}, {'date': '2024-12-18', 'count': 27}, {'date': '2024-12-26', 'count': 20}, {'date': '2024-12-27', 'count': 17}]}]
}

function getProtonDatasets() {
    return [{'label': 'proton-start', 'data': [{'date': '2024-01-02', 'count': 28}, {'date': '2024-01-03', 'count': 11}, {'date': '2024-01-04', 'count': 12}, {'date': '2024-01-16', 'count': 3}, {'date': '2024-01-19', 'count': 12}, {'date': '2024-01-22', 'count': 5}, {'date': '2024-01-24', 'count': 5}, {'date': '2024-01-25', 'count': 6}, {'date': '2024-01-26', 'count': 4}, {'date': '2024-01-29', 'count': 6}, {'date': '2024-01-30', 'count': 6}, {'date': '2024-01-31', 'count': 8}, {'date': '2024-02-01', 'count': 11}, {'date': '2024-02-08', 'count': 11}, {'date': '2024-02-12', 'count': 12}, {'date': '2024-02-13', 'count': 4}, {'date': '2024-02-14', 'count': 5}, {'date': '2024-02-15', 'count': 1}, {'date': '2024-02-16', 'count': 3}, {'date': '2024-02-20', 'count': 8}, {'date': '2024-02-21', 'count': 4}, {'date': '2024-02-29', 'count': 21}, {'date': '2024-03-18', 'count': 11}, {'date': '2024-03-19', 'count': 7}, {'date': '2024-03-20', 'count': 15}, {'date': '2024-03-21', 'count': 10}, {'date': '2024-03-22', 'count': 9}, {'date': '2024-03-25', 'count': 13}, {'date': '2024-03-26', 'count': 10}, {'date': '2024-03-27', 'count': 10}, {'date': '2024-03-28', 'count': 9}, {'date': '2024-04-01', 'count': 26}, {'date': '2024-04-02', 'count': 5}, {'date': '2024-04-03', 'count': 5}, {'date': '2024-04-04', 'count': 5}, {'date': '2024-04-05', 'count': 3}, {'date': '2024-04-08', 'count': 7}, {'date': '2024-04-15', 'count': 25}, {'date': '2024-04-16', 'count': 10}, {'date': '2024-04-17', 'count': 11}, {'date': '2024-04-18', 'count': 6}, {'date': '2024-04-22', 'count': 8}, {'date': '2024-04-23', 'count': 4}, {'date': '2024-04-24', 'count': 5}, {'date': '2024-04-25', 'count': 2}, {'date': '2024-04-26', 'count': 9}, {'date': '2024-04-29', 'count': 4}, {'date': '2024-05-15', 'count': 8}, {'date': '2024-06-24', 'count': 14}, {'date': '2024-06-25', 'count': 6}, {'date': '2024-06-26', 'count': 12}, {'date': '2024-06-27', 'count': 5}, {'date': '2024-06-28', 'count': 12}, {'date': '2024-07-01', 'count': 6}, {'date': '2024-07-08', 'count': 26}, {'date': '2024-07-15', 'count': 14}, {'date': '2024-07-17', 'count': 3}, {'date': '2024-07-22', 'count': 15}, {'date': '2024-07-25', 'count': 16}, {'date': '2024-07-27', 'count': 14}, {'date': '2024-07-29', 'count': 7}, {'date': '2024-07-30', 'count': 7}, {'date': '2024-07-31', 'count': 11}, {'date': '2024-08-02', 'count': 13}, {'date': '2024-08-05', 'count': 17}, {'date': '2024-08-06', 'count': 7}, {'date': '2024-08-07', 'count': 7}, {'date': '2024-08-08', 'count': 9}, {'date': '2024-08-12', 'count': 4}, {'date': '2024-08-13', 'count': 12}, {'date': '2024-08-14', 'count': 10}, {'date': '2024-08-19', 'count': 20}, {'date': '2024-08-20', 'count': 5}, {'date': '2024-08-21', 'count': 12}, {'date': '2024-08-27', 'count': 10}, {'date': '2024-08-28', 'count': 9}, {'date': '2024-08-29', 'count': 12}, {'date': '2024-08-30', 'count': 9}, {'date': '2024-09-03', 'count': 18}, {'date': '2024-09-04', 'count': 10}, {'date': '2024-09-05', 'count': 5}, {'date': '2024-09-16', 'count': 9}, {'date': '2024-09-18', 'count': 17}, {'date': '2024-09-19', 'count': 11}, {'date': '2024-09-23', 'count': 27}, {'date': '2024-09-24', 'count': 17}, {'date': '2024-09-25', 'count': 12}, {'date': '2024-10-07', 'count': 16}, {'date': '2024-10-08', 'count': 17}, {'date': '2024-10-10', 'count': 27}, {'date': '2024-10-11', 'count': 14}, {'date': '2024-10-14', 'count': 13}, {'date': '2024-10-16', 'count': 15}, {'date': '2024-10-22', 'count': 19}, {'date': '2024-10-23', 'count': 14}, {'date': '2024-10-28', 'count': 13}, {'date': '2024-11-04', 'count': 20}, {'date': '2024-11-05', 'count': 10}, {'date': '2024-11-07', 'count': 21}, {'date': '2024-11-13', 'count': 12}, {'date': '2024-11-18', 'count': 9}, {'date': '2024-11-20', 'count': 22}, {'date': '2024-11-21', 'count': 18}, {'date': '2024-11-25', 'count': 11}, {'date': '2024-11-26', 'count': 13}, {'date': '2024-12-09', 'count': 27}, {'date': '2024-12-16', 'count': 43}, {'date': '2024-12-18', 'count': 33}, {'date': '2024-12-26', 'count': 13}, {'date': '2024-12-27', 'count': 14}, {'date': '2024-12-30', 'count': 13}]}, {'label': 'proton-end', 'data': [{'date': '2024-01-02', 'count': 6}, {'date': '2024-01-03', 'count': 4}, {'date': '2024-01-04', 'count': 3}, {'date': '2024-01-16', 'count': 2}, {'date': '2024-01-19', 'count': 4}, {'date': '2024-01-22', 'count': 2}, {'date': '2024-01-24', 'count': 1}, {'date': '2024-01-25', 'count': 1}, {'date': '2024-01-26', 'count': 1}, {'date': '2024-01-29', 'count': 1}, {'date': '2024-01-31', 'count': 3}, {'date': '2024-02-01', 'count': 6}, {'date': '2024-02-08', 'count': 5}, {'date': '2024-02-12', 'count': 4}, {'date': '2024-02-13', 'count': 3}, {'date': '2024-02-14', 'count': 3}, {'date': '2024-02-20', 'count': 2}, {'date': '2024-02-21', 'count': 1}, {'date': '2024-02-29', 'count': 10}, {'date': '2024-03-18', 'count': 10}, {'date': '2024-03-19', 'count': 7}, {'date': '2024-03-20', 'count': 6}, {'date': '2024-03-21', 'count': 5}, {'date': '2024-03-22', 'count': 4}, {'date': '2024-03-25', 'count': 3}, {'date': '2024-03-26', 'count': 2}, {'date': '2024-03-27', 'count': 1}, {'date': '2024-04-15', 'count': 7}, {'date': '2024-04-16', 'count': 6}, {'date': '2024-04-17', 'count': 3}, {'date': '2024-04-18', 'count': 1}, {'date': '2024-04-22', 'count': 3}, {'date': '2024-04-23', 'count': 1}, {'date': '2024-06-24', 'count': 14}, {'date': '2024-06-25', 'count': 5}, {'date': '2024-06-26', 'count': 4}, {'date': '2024-06-27', 'count': 2}, {'date': '2024-06-28', 'count': 2}, {'date': '2024-07-08', 'count': 20}, {'date': '2024-07-15', 'count': 6}, {'date': '2024-07-17', 'count': 2}, {'date': '2024-07-22', 'count': 8}, {'date': '2024-07-25', 'count': 7}, {'date': '2024-07-27', 'count': 5}, {'date': '2024-07-29', 'count': 6}, {'date': '2024-07-30', 'count': 4}, {'date': '2024-07-31', 'count': 3}, {'date': '2024-08-02', 'count': 3}, {'date': '2024-08-05', 'count': 6}, {'date': '2024-08-06', 'count': 4}, {'date': '2024-08-07', 'count': 3}, {'date': '2024-08-08', 'count': 3}, {'date': '2024-08-12', 'count': 1}, {'date': '2024-08-13', 'count': 3}, {'date': '2024-08-14', 'count': 4}, {'date': '2024-08-19', 'count': 4}, {'date': '2024-08-27', 'count': 5}, {'date': '2024-08-28', 'count': 4}, {'date': '2024-08-29', 'count': 5}, {'date': '2024-08-30', 'count': 4}, {'date': '2024-09-03', 'count': 3}, {'date': '2024-09-04', 'count': 3}, {'date': '2024-09-05', 'count': 2}, {'date': '2024-09-16', 'count': 4}, {'date': '2024-09-18', 'count': 5}, {'date': '2024-09-19', 'count': 5}, {'date': '2024-09-24', 'count': 8}, {'date': '2024-09-25', 'count': 7}, {'date': '2024-10-07', 'count': 10}, {'date': '2024-10-08', 'count': 9}, {'date': '2024-10-10', 'count': 9}, {'date': '2024-10-11', 'count': 7}, {'date': '2024-10-14', 'count': 6}, {'date': '2024-10-16', 'count': 6}, {'date': '2024-10-22', 'count': 10}, {'date': '2024-10-23', 'count': 9}, {'date': '2024-10-28', 'count': 5}, {'date': '2024-11-04', 'count': 6}, {'date': '2024-11-05', 'count': 5}, {'date': '2024-11-07', 'count': 8}, {'date': '2024-11-13', 'count': 7}, {'date': '2024-11-18', 'count': 6}, {'date': '2024-11-20', 'count': 5}, {'date': '2024-11-21', 'count': 4}, {'date': '2024-11-25', 'count': 3}, {'date': '2024-12-09', 'count': 17}, {'date': '2024-12-16', 'count': 16}, {'date': '2024-12-26', 'count': 5}, {'date': '2024-12-27', 'count': 4}]}]
}